> For the complete documentation index, see [llms.txt](https://docs.b2b-sellers.com/b2b-platform/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.b2b-sellers.com/b2b-platform/2/api-references/entities/employee/megaemployeecustomer.md).

# EmployeeCustomer

Table-name: b2b\_employee\_customer

Die EmployeeCustomer Entity ist die Mapping-Tabelle zwischen Customer und Employee. Bedeutet mit dieser Tabelle kann man einen Employee zu einem Kunden zuordnen, sodass ein Employee sich für den Kunden einloggen kann. Jede Employee kann somit bei jedem Kunden eine andere Rolle und Rechte haben.

#### Plugin

{% content-ref url="/pages/QUY63wXahfYgUzfnfwG6" %}
[Smart developer helpers](/b2b-platform/2/developer-guides/b2bsellers-core-plugin.md)
{% endcontent-ref %}

### Tabellen Spalten

| Field        | Class          | Typ      | Is required |
| ------------ | -------------- | -------- | ----------- |
| id           | IdField        | binary   | true        |
| customerId   | FkField        | binary   | true        |
| employeeId   | FkField        | binary   | true        |
| admin        | BoolField      | tinyint  | false       |
| roleId       | FkField        | binary   | false       |
| customFields | CustomFields   | json     | false       |
| updatedAt    | UpdatedAtField | Datetime | false       |
| createdAt    | CreatedAtField | Datetime | true        |

Vorsicht: Wenn EmployeeCustomer Admin ist, darf er keine Role zugewiesen bekommen.

### Associations

| Field    | Entity             | Class                     |
| -------- | ------------------ | ------------------------- |
| customer | CustomerEntity     | ManyToOneAssociationField |
| employee | EmployeeEntity     | ManyToOneAssociationField |
| role     | EmployeeRoleEntity | ManyToOneAssociationField |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.b2b-sellers.com/b2b-platform/2/api-references/entities/employee/megaemployeecustomer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
